Package ru.bitel.bgbilling.modules.uniteller.common.service

# Interface UnitellerService

All Superinterfaces:
  `PaymentServiceProvider`

public interface UnitellerService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkTransactions(int contractId)`
  Запросить у сервера банка статус не завершенных транзакций
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  Возращает историю изменения автоплатежей на договоре
  `SearchResult<Transaction>`
  `searchTransactionList(SearchParam searchParam)`
  Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, doManualAutopayment, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(SearchParam searchParam) throws ru.bitel.bgbilling.common.BGException
    Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
    Parameters:
      `searchParam` -
    Returns:
      список транзакций.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTransactions

    void checkTransactions(int contractId) throws ru.bitel.bgbilling.common.BGException
    Запросить у сервера банка статус не завершенных транзакций
    Parameters:
      `contractId` - код договора, если код больше 0 проверяются транзакции только для этого договора, иначе все
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`